.demo-page {
  @import '../../themes/variables/color';
  @import '../../themes/mixins/utils';

  &.share {
    .e-content {
      .e-header {
        .main-nav {
          .right {
            .user-name {
              font-weight: 600;
            }

            .button {
              margin-left: 1.6rem;
            }
          }
        }
      }

      .e-body {
        .share-form {
          display: flex;
          position: relative;
          flex-direction: column;
          justify-content: center;

          transform: translateY(calc(-50% - 3.2rem));
          margin-top: 40vh;
          margin-right: auto;
          margin-left: auto;

          border: 0.2rem solid $grey-1;
          border-radius: 0.4rem;
          padding: 2.4rem;

          width: 60rem;
          height: 20rem;

          .form-title {
            position: absolute;
            top: 0;
            left: -0.8rem;

            transform: translate(2.4rem, -50%);
            background-color: $white;
            padding: 0 0.8rem;

            color: $black;
            font-size: 2.4rem;
          }

          .input {
            display: flex;
            align-items: center;

            margin-top: 1.6rem;

            .input-label {
              width: 25%;

              color: $grey-1;
              font-size: 1.4rem;
              font-weight: 500;
            }

            .input-field {
              border-radius: 0.2rem;
              border-color: $grey-1;

              color: $black;
              font-size: 1.4rem;

              &::placeholder {
                color: $blue-3;
              }
            }
          }

          .share-button {
            justify-content: center;

            margin-top: 2.4rem;
            margin-right: auto;
            margin-left: auto;

            width: 12rem;
          }
        }
      }
    }
  }
}
